Hyperic HQ Plugin API v. 2.5.dev

## net.hyperic.hq.product
Class TrackEventPluginManager

    java.lang.Object
      net.hyperic.hq.product.PluginManager
          net.hyperic.hq.product.TrackEventPluginManager

Direct Known Subclasses:
  ConfigTrackPluginManager, LogTrackPluginManager

public abstract class TrackEventPluginManager
extends PluginManager

Field Summary

Fields inherited from class net.hyperic.hq.product.PluginManager
`log, plugins`

Constructor Summary
`TrackEventPluginManager()`
`TrackEventPluginManager(java.util.Properties props)`

Method Summary
`void` `addEventLogNotification(Win32EventLogNotification notifier)`
`void` `addFileWatcher(net.hyperic.sigar.FileWatcher watcher)`
`void` `addRunnableTracker(java.lang.Runnable tracker)`
`void` `closeEventLogs()`
`java.util.LinkedList` `getEvents()`
`abstract java.lang.String` `getName()`
`void` `init(PluginManager parent)`
`void` `removeEventLogNotification(Win32EventLogNotification notifier)`
`void` `removeFileWatcher(net.hyperic.sigar.FileWatcher watcher)`
`void` `removeRunnableTracker(java.lang.Runnable tracker)`
`void` `reportEvent(TrackEvent event)`
`void` `shutdown()`

Methods inherited from class net.hyperic.hq.product.PluginManager
`classNotFoundMessage, createPlugin, createPlugin, getConfigSchema, getParent, getPlatformPlugin, getPlatformPlugin, getPlatformPlugins, getPlatformPlugins, getPlugin, getPluginInfo, getPlugins, getPlugins, getProperties, getProperty, getProperty, isPropertyEnabled, isPropertyEnabled, mergeConfigSchema, registerPlugin, removePlugin, setPluginInfo, updatePlugin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TrackEventPluginManager

    public TrackEventPluginManager()

### TrackEventPluginManager

    public TrackEventPluginManager(java.util.Properties props)

Method Detail

### getName

    public abstract java.lang.String getName()

  Specified by:
    `getName` in class `PluginManager`

### reportEvent

    public void reportEvent(TrackEvent event)

### getEvents

    public java.util.LinkedList getEvents()

### init

    public void init(PluginManager parent)
              throws PluginException

  Overrides:
    `init` in class `PluginManager`
  Throws:
    `PluginException`

### shutdown

    public void shutdown()
                  throws PluginException

  Overrides:
    `shutdown` in class `PluginManager`
  Throws:
    `PluginException`

### addFileWatcher

    public void addFileWatcher(net.hyperic.sigar.FileWatcher watcher)

### removeFileWatcher

    public void removeFileWatcher(net.hyperic.sigar.FileWatcher watcher)

### closeEventLogs

    public void closeEventLogs()

### addEventLogNotification

    public void addEventLogNotification(Win32EventLogNotification notifier)

### removeEventLogNotification

    public void removeEventLogNotification(Win32EventLogNotification notifier)

### addRunnableTracker

    public void addRunnableTracker(java.lang.Runnable tracker)

### removeRunnableTracker

    public void removeRunnableTracker(java.lang.Runnable tracker)

Hyperic HQ Plugin API v. 2.5.dev

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.